## com.declarativa.interprolog.util
Class Recognizer

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.Recognizer

All Implemented Interfaces:
  OutputListener

public class Recognizer
extends Object
implements OutputListener

A simple pattern recognizor used in error detection

Constructor Summary
`Recognizer()`
`Recognizer(String pattern)`
`Recognizer(String pattern, boolean collectRestOfBuffer)`

Method Summary
`void` `addRecognizerListener(RecognizerListener l)`
`void` `analyseBytes(byte[] buffer, int nbytes)` nBytes new output bytes are in buffer to analyse
`int` `numberListeners()`
`void` `removeRecognizerListener(RecognizerListener l)`
`void` `streamEnded()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Recognizer

    public Recognizer()

### Recognizer

    public Recognizer(String pattern)

### Recognizer

    public Recognizer(String pattern,
                      boolean collectRestOfBuffer)

Method Detail

### numberListeners

    public int numberListeners()

### analyseBytes

    public void analyseBytes(byte[] buffer,
                             int nbytes)

  Description copied from interface: `OutputListener`
  nBytes new output bytes are in buffer to analyse

  Specified by:
    `analyseBytes` in interface `OutputListener`

### streamEnded

    public void streamEnded()

  Specified by:
    `streamEnded` in interface `OutputListener`

### addRecognizerListener

    public void addRecognizerListener(RecognizerListener l)

### removeRecognizerListener

    public void removeRecognizerListener(RecognizerListener l)